#include <bits/stdc++.h>
using namespace std;
ifstream f1("DQXAU.INP");
ofstream f2("DQXAU.OUT");
void InNguoc(char *X)
{
    static int len=strlen(X);
    if(len>0)
    {
        f2<<X[len-1];
        len--;
        InNguoc(X);
    }
}
int main()
{
    char xau[256];
    f1>>xau;
    InNguoc(xau);
    f1.close();
    f2.close();
    return 0;
}
